# Whisper-AHK

Autohotkey based GUI for utilizing [Whisper.cpp](https://github.com/ggerganov/whisper.cpp) to transcribe audio files to text.

## Features
- Transcribe Audio Files using your preferred Whisper AI model.
- Automatically convert audio files to the 16-bit .wav file that Whisper.cpp requires, using FFMPEG
	- Currently ffmpeg has to be installed manually and be added to system PATH
- The Transcriber will create a folder named `WAVFiles` and `Transcriptions` within the same directory as the selected audio files, where the converted .wav files and resulting transcriptions will get exported to.

## How to Use
- Download and install [ffmpeg](https://ffmpeg.org/download.html)(or choco install -y ffmpeg)
- Download and install the [Microsoft Visual C++ Redistributable](https://www.microsoft.com/en-us/Download/confirmation.aspx?id=48145)
- Git clone the repo to your computer with `git clone URL`
- Download and extract the contents of `whisper-bin-x64.zip` to `\Whisper\` from https://github.com/ggerganov/whisper.cpp/releases
- Download and move the whisper model you want to use to `\Whisper\` from https://github.com/ggerganov/whisper.cpp/blob/master/models
- Run `Whisper-AHK` to start the GUI.
- To download updates to the scripts, close all running Transcribers and run the `Pull-Updates-From-Git.exe` (must have git installed)

## Settings:
-  Keep CMD Open After Model Completion
	- Will Keep the Whisper/ffmpeg CMD window open after it finishes the task instead of closing instantly, so you can see any possible errors.
	- The Transcriber will not move on to the next file until you close the CMD window manually
- Show Tooltip of progress at top of screen
	- Will show a small tooltip at the top of your screen of what the script is currently doing
- Number of CPU Threads
	- The number of CPU threads you want to use for Transcribing. 
- Minutes to Pause After Transcriptions
	- This will pause the Transcriber for X minutes before moving on to the next Model/File so your CPU can cool down a bit.
	- Useful if you're using 100% of your CPU threads and your computer fans are having a hard time keeping up
- Transcribe Individual Files
	- Select all the files you want to transcribe individually.
- Transcribe All Audio Files within Folder
	- Transcribe all MP3/WAV files within a directory


## Compiling to .exe from Source
1. [Install Autohotkey v1](https://www.autohotkey.com/download/)
2. `git clone` the project and then either run the `Compile Transcriber to EXE.ahk` autohotkey script to automatically compile, or start up the AHK compiler that comes installed with Autohotkey and select the `Whisper-AHK.ahk` and `\Assets\Elegantthemes-Beautiful-Flat-Speaker.ico` icon.